Bug 576629 (libQTGTL) - Review Request: libQtGTL - Qt bindings for OpenGTL
Summary: Review Request: libQtGTL - Qt bindings for OpenGTL
Keywords:
Status: CLOSED ERRATA
Alias: libQTGTL
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-24 16:46 UTC by Rex Dieter
Modified: 2010-04-27 02:29 UTC (History)
3 users (show)

Fixed In Version: OpenGTL-0.9.13-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-25 13:59:38 UTC
jreznik: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2010-03-24 16:46:33 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/libQtGTL/libQtGTL.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/libQtGTL/libQtGTL-0.9.0-1.fc12.src.rpm
Description:
Qt bindings for OpenGTL


koffice (krita) can use this.

Comment 1 Rex Dieter 2010-03-24 16:47:21 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2073326

rpmlint output:
$ rpmlint *.rpm x86_64/*.rpm
libQtGTL.x86_64: W: no-documentation
libQtGTL-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Jaroslav Reznik 2010-04-08 15:03:37 UTC
Rpmlint: ok (no documentation)
Package and SPEC name: ok, upstream ships it with lib prefix
License: ok
Upstream source code: ok (9a6b817496cee29bd11b641110ae775e  libQtGTL-0.9.0.tar.bz2)
Package builds on at least one arch: ok, see scratch build, ppc and ppc64 excluded (based on OpenGTL excludes)
ldconfig: ok
BuildRequires: ok
Devel split: ok
No libtools archives: ok

Localbuild - does not build against latest OpenGTL - package needs update to 0.9.1 (http://www.opengtl.org/download/libQtGTL-0.9.1.tar.bz2)

Comment 3 Rex Dieter 2010-04-08 15:51:06 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/libQtGTL/libQtGTL.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/libQtGTL/libQtGTL-0.9.1-2.fc12.src.rpm

%changelog
* Thu Apr 08 2010 Rex Dieter <rdieter@fedoraproject.org> 0.9.1-2
- fix dso linking

* Thu Apr 08 2010 Rex Dieter <rdieter@fedoraproject.org> 0.9.1-1
- libQtGL-0.9.1

Comment 4 Jaroslav Reznik 2010-04-09 12:04:43 UTC
New sources md5sum: ok (8a4e694762495652e8d704e1226523e1  libQtGTL-0.9.1.tar.bz2)

Now it builds on F-13+ but F-12 is broken - OpenGTL version has to match. But it's OK for inclusion to Fedora CVS.

APPROVED

Comment 5 Rex Dieter 2010-04-12 17:28:14 UTC
New Package CVS Request
=======================
Package Name: libQtGTL
Short Description: Qt bindings for OpenGTL
Owners: rdieter
Branches: F-12 F-13
InitialCC:

Comment 6 Kevin Fenzi 2010-04-14 04:44:33 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-04-14 17:52:01 UTC
libQtGTL-0.9.1-2.fc13,koffice-2.1.82-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libQtGTL-0.9.1-2.fc13,koffice-2.1.82-3.fc13

Comment 8 Fedora Update System 2010-04-14 22:39:03 UTC
OpenGTL-0.9.13-1.fc12,libQtGTL-0.9.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/OpenGTL-0.9.13-1.fc12,libQtGTL-0.9.1-2.fc12

Comment 9 Fedora Update System 2010-04-16 23:32:52 UTC
OpenGTL-0.9.13-1.fc12, libQtGTL-0.9.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update OpenGTL libQtGTL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/OpenGTL-0.9.13-1.fc12,libQtGTL-0.9.1-2.fc12

Comment 10 Fedora Update System 2010-04-16 23:51:44 UTC
libQtGTL-0.9.1-2.fc13, koffice-2.1.82-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libQtGTL koffice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libQtGTL-0.9.1-2.fc13,koffice-2.1.82-3.fc13

Comment 11 Fedora Update System 2010-04-25 13:59:33 UTC
libQtGTL-0.9.1-2.fc13, koffice-2.1.82-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-27 02:29:25 UTC
OpenGTL-0.9.13-1.fc12, libQtGTL-0.9.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.